SOLVED

Set-CsUser Deprecated in the last 24 hours??

New Contributor

I have gone to enable anew user for enterprise voice, a DDI and voicemail this morning and run:

 

Set-CsUser -Identity "email address removed for privacy reasons" -EnterpriseVoiceEnabled $true -HostedVoiceMail $true -LineURI tel:+4412345678

 

However, it now says i need to run Set-CsPhoneNumberAssignment however that doesnt work either as it doesnt like the input parameters.

 

Cant see anything, anywhere online as to alternatives

 

Can anyone point me to any official announcement they have made with alternative powershell?

 

Thanks

4 Replies
Can you provide an example of your usage for the `Set-CsPhoneNumberAsssignment` and the error you got?

As for the deprecation of the old Teams modules, Microsoft announced the deprecation of the earlier modules, and move to the newer 4.x code https://docs.microsoft.com/en-us/MicrosoftTeams/teams-powershell-supported-versions
best response confirmed by TheGarrison (New Contributor)
Solution

@jangliss 

Managed to fix it yes, for anyone else coming here the new\correct syntax for enabling someone with a DDI is:

 

Set-CsPhoneNumberAssignment -Identity "email address removed for privacy reasons" -PhoneNumber +4412345678 -PhoneNumberType DirectRouting

 

(if its direct routing, you may require a different vaue)

Editing my own response:
This deprecation message occurs on server side.
You can confirm that by last line of error message:

    + FullyQualifiedErrorId : InternalServerError,Microsoft.Teams.ConfigApi.Cmdlets.SetCsUser

It's an InternalServerError.
You must update your server side to avoid this errors.

Hi, no i had confirmation from Microsoft that they have been deprecating that specific cmdlet over their tenants, they dont do it globally in one hit, but spread it out over a few weeks\months. Our tenant was obviously affected recently.
So it was as intended, it would just be nice if they told you when your specific tenant is affected...